// config.h for D1M-WX1_IoT-APRS_Bethany.ino

// This configuration file should reside in the same Arduino
// directory as the weather station file D1M-WX1_IoT-APRS_Delta.ino.

// *******************************************************
// ********************* WIFI LOGON **********************
// *******************************************************

// ENTER YOUR SSID
// YOU MUST USE 2.4 GHz WiFi, NOT 5 GHz
const char WIFI_SSID[] = "yourWiFi_SSID";

// ENTER YOUR PASSWORD
const char WIFI_PASSWORD[] = "yourWiFi_PW";

// *******************************************************
// **************** STATION FACTORS **********************
// *******************************************************

// If you have performed the voltage calibration steps, enter
// the voltage you measured on your digital multimeter and
// the voltage reported by the ADC on the serial monitor.
// If you have not performed the calibration, do not change 
// the default values. They should be equal.

const float dmmVoltage = 1.00;
const float adcVoltage = 1.00;

// station altitude in meters
// https://www.freemaptools.com/elevation-finder.htm
const float STATION_ELEV = 90.0;

// update interval in seconds
// must be longer than 15 seconds
// suggest 300 seconds for testing, 600 or 900 for use
const long SLEEP_INTERVAL = 300;

// *******************************************************
// ******************** THINGSPEAK ***********************
// *******************************************************

// Open a ThingSpeak account at www.thingspeak.com

// ThingSpeak Channel ID
String ChannelID = "yourChannelID";

// API write key for your ThingSpeak channel
String apiWriteKey = "yourAPI_write_Key";

// *******************************************************
// ******************** APRS-IS **************************
// *******************************************************

// Enter your station location in APRS format
// NOTE: latitude must have 4 digits left of the decimal. Pad with 0s.
//       longitude must have 5 digits left of the decimal. Pad with 0s.
//       lat/lon values MUST BE POSITIVE!
// Find your location at
// http://veloroutes.org/elevation/
const char APRSlocation[] = "ddmm.hhN/dddmm.hhW";

// define your callsign and passcode
// recommend to use SSID -13 for weather stations
// see http://www.aprs.org/aprs11/SSIDs.txt
const String APRScallsign = "callsign-ssid";

// for passcode www.george-smart.co.uk/aprs/aprs_callpass/
// or http://n5dux.com/ham/aprs-passcode/
const char APRSpasscode[] = "nnnn";
